/**
 * Header-fil for ruter-klassen
 * 
 * @file ruter.h
 * @author Sondre Sand & Frederik Simonsen
 */
#ifndef __RUTER_H
#define __RUTER_H

#include <map>
#include "rute.h"

/**
 * Ruter (med oversikt over alle ruter i datastrukturen)
 */
class Ruter {
    private:
        std::map <int, Rute*> rutene;
    public:
        bool ruteNrFinnes(const int ruteNr);
        void endreRute();
        void handling();
        void lesFraFil();
        void nyRute();
        void ruteBeskrivelse();
        void ruteBeskrivelse(const int ruteNr);
        void ruteTabell();
        void skrivAlle();
        void skrivMeny();
        void skrivTilFil();
        
};

#endif